Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vordel.circuit
Class CircuitChainFilter

    java.lang.Object
      com.vordel.circuit.Filter
          com.vordel.circuit.VariablePropertiesFilter
              com.vordel.circuit.CircuitChainFilter

All Implemented Interfaces:
  DelegatingFilter

    public class CircuitChainFilter

extends VariablePropertiesFilter
implements DelegatingFilter

Field Summary
`static CircuitReferenceFactory` | `DEFAULT_CR_FACTORY`
`protected java.util.List<CircuitReference>` | `refs`

Fields inherited from class com.vordel.circuit.VariablePropertiesFilter
`USER_ATTRIBUTE_FORMAT_REGEX, userAttributePattern`

Fields inherited from class com.vordel.circuit.Filter
`CAN_FAIL, CAN_SUCCEED, circuit, consumedProperties, contextLoader, EMPTY_SET, generatedProperties, name, requiredProperties`

Constructor Summary
`CircuitChainFilter()`

Method Summary
`void` | `configure(FilterConfigureContext ctx, Entity entity)` Override this to use a different factory
`void` | `configure(FilterConfigureContext ctx, Entity entity, CircuitReferenceFactory crf)`
`boolean` | `delegatesTo(com.vordel.client.circuit.model.Circuit c)`
`protected void` | `doProps(FilterConfigureContext ctx)`
`java.lang.Class<? extends FilterContainer>` | `getConfigPanelClass()` Get the Class which must be instantiated to configure the Filter.
`java.lang.Class<? extends MessageProcessor>` | `getMessageProcessorClass()` Get the Class which must be instantiated to process this Filter to implement a MessageProcessor
`ESPK` | `getPK()`
`java.util.Set<ESPK>` | `getReferencedCircuitPKs(GlobalProperties props)`
`java.util.List<CircuitReference>` | `getRefs()`
`void` | `resolveCircuits(CircuitCache circuitCache)`
`void` | `setRefs(java.util.List<CircuitReference> refs)`
`void` | `updateRefs()`

Methods inherited from class com.vordel.circuit.VariablePropertiesFilter
`createHashSet, getLoggingWildcards, getRequiredPropertiesFromEntity, getRequiredPropertiesFromReferences, getWildcardAttributes, ignoreField, ignoreType, syncProps`

Methods inherited from class com.vordel.circuit.Filter
`getCircuitPK, getConsumedProperties, getEntity, getFailureNode, getFailureNodePK, getGeneratedProperties, getName, getPossibleOutcomes, getRequiredProperties, getSuccessNode, getSuccessNodePK, reconfigure, setCircuitPK, setDefaultProperties, setEntity, setFailureNode, setName, setShouldAbortProcessingOnLogError, setSuccessNode, shouldAbortProcessingOnLogError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_CR_FACTORY

    public static CircuitReferenceFactory DEFAULT_CR_FACTORY

### refs

    protected java.util.List<CircuitReference> refs

Constructor Detail

### CircuitChainFilter

    public CircuitChainFilter()

Method Detail

### getRefs

    public java.util.List<CircuitReference> getRefs()

### setRefs

    public void setRefs(java.util.List<CircuitReference> refs)

### getReferencedCircuitPKs

    public java.util.Set<ESPK> getReferencedCircuitPKs(GlobalProperties props)

  Specified by:
    `getReferencedCircuitPKs` in interface `DelegatingFilter`

### getPK

    public ESPK getPK()

  Specified by:
    `getPK` in interface `DelegatingFilter`

### resolveCircuits

    public void resolveCircuits(CircuitCache circuitCache)
                         throws EntityStoreException

  Throws:
    `EntityStoreException`

### getConfigPanelClass

    public java.lang.Class<? extends FilterContainer> getConfigPanelClass()
                                                                   throws java.lang.ClassNotFoundException

  Description copied from class: `Filter`
  Get the Class which must be instantiated to configure the Filter.

  Specified by:
    `getConfigPanelClass` in class `Filter`
  Returns:
    The Class to be instantiated. Should never be null.
  Throws:
    `java.lang.ClassNotFoundException` - If the class is unavailable

### getMessageProcessorClass

    public java.lang.Class<? extends MessageProcessor> getMessageProcessorClass()
                                                                         throws java.lang.ClassNotFoundException

  Description copied from class: `Filter`
  Get the Class which must be instantiated to process this Filter to implement a MessageProcessor

  Specified by:
    `getMessageProcessorClass` in class `Filter`
  Returns:
    The Class to be instantiated. Should never be null.
  Throws:
    `java.lang.ClassNotFoundException` - If the class is unavailable

### configure

    public void configure(FilterConfigureContext ctx,
                          Entity entity)
                   throws EntityStoreException

  Override this to use a different factory

  Overrides:
    `configure` in class `VariablePropertiesFilter`
  Throws:
    `EntityStoreException`

### configure

    public void configure(FilterConfigureContext ctx,
                          Entity entity,
                          CircuitReferenceFactory crf)
                   throws EntityStoreException

  Throws:
    `EntityStoreException`

### doProps

    protected void doProps(FilterConfigureContext ctx)
                    throws EntityStoreException

  Throws:
    `EntityStoreException`

### delegatesTo

    public boolean delegatesTo(com.vordel.client.circuit.model.Circuit c)

### updateRefs

    public void updateRefs()

  Specified by:
    `updateRefs` in interface `DelegatingFilter`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation and all its contents and graphics, copyright © 1999 - 2011 Vordel